aboutsummaryrefslogtreecommitdiff
path: root/debian/qemu-user-static.preinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/qemu-user-static.preinst')
-rw-r--r--debian/qemu-user-static.preinst28
1 files changed, 28 insertions, 0 deletions
diff --git a/debian/qemu-user-static.preinst b/debian/qemu-user-static.preinst
new file mode 100644
index 0000000..9528d82
--- /dev/null
+++ b/debian/qemu-user-static.preinst
@@ -0,0 +1,28 @@
+#!/bin/sh -e
+
+# Remove a no-longer used conffile
+rm_conffile() {
+ local PKGNAME="$1"
+ local CONFFILE="$2"
+
+ [ -e "$CONFFILE" ] || return 0
+
+ local md5sum="$(md5sum $CONFFILE | sed -e 's/ .*//')"
+ local old_md5sum="$(dpkg-query -W -f='${Conffiles}' $PKGNAME | \
+ sed -n -e "\' $CONFFILE ' { s/ obsolete$//; s/.* //; p }")"
+ if [ "$md5sum" != "$old_md5sum" ]; then
+ echo "Obsolete conffile $CONFFILE has been modified by you."
+ echo "Saving as $CONFFILE.dpkg-bak ..."
+ mv -f "$CONFFILE" "$CONFFILE".dpkg-bak
+ else
+ echo "Removing obsolete conffile $CONFFILE ..."
+ rm -f "$CONFFILE"
+ fi
+}
+
+if dpkg --compare-versions "$2" le 0.13.0+noroms-0ubuntu12; then
+ rm_conffile qemu-kvm-extras-static \
+ /etc/sysctl.d/30-qemu-kvm-extras-static.conf
+fi
+
+#DEBHELPER#